v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/orders/{shipmentId}/invalid
Invalidates an order shipment. Rights: OrsInventoryPost, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string
ID of the shipment.Example:
SHIP-000123 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Examples
400 Response
Invalid shipment type
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples